This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 631079 - mouse stops working after several reboots
mouse stops working after several reboots
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Fedora Virtualization Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-07 12:31 EDT by Michal Hlavinka
Modified: 2013-01-09 18:05 EST (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-20 18:35:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
var log messages (448.53 KB, text/plain)
2010-09-07 12:38 EDT, Michal Hlavinka
no flags Details
Xorg.0.log (24.49 KB, text/plain)
2010-09-07 12:39 EDT, Michal Hlavinka
no flags Details

  None (edit)
Description Michal Hlavinka 2010-09-07 12:31:16 EDT
Steps to Reproduce:
1. booting with "1"
2. press ctrl-d to leave shell
3. kdm shows up

-> keyboard works, but mouse does not
Comment 1 Michal Hlavinka 2010-09-07 12:38:11 EDT
Created attachment 443942 [details]
var log messages
Comment 2 Michal Hlavinka 2010-09-07 12:39:07 EDT
Created attachment 443954 [details]
Xorg.0.log
Comment 3 Michal Schmidt 2010-09-07 12:51:34 EDT
Works for me. Is there any substantial difference in Xorg.0.log if you boot directly to graphical.target?
Comment 4 Michal Hlavinka 2010-09-07 12:54:46 EDT
seems this is not related to systemd, after reboot to normal runlevel, mouse still does not work, but after KVM is shutdown completely and started again it works even after "1" kernel boot argument, so this is probably kvm or qemu-kvm's vnc client bug which breaks mouse after several reboots without kvm restarting
Comment 5 Justin M. Forbes 2010-11-23 10:09:25 EST
For a little bit of clarification, is the mouse breaking in guests or in the host?
Comment 6 Michal Hlavinka 2010-11-23 12:19:26 EST
(In reply to comment #5)
> For a little bit of clarification, is the mouse breaking in guests or in the
> host?

mouse stops working in guest, there is no problem in host
Comment 7 Cole Robinson 2012-05-20 18:35:49 EDT
F14 is end-of-life now. If anyone is still affected by this bug with newer
qemu versions (fedora 16 or 17), please reopen this report.

Note You need to log in before you can comment on or make changes to this bug.